Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/PropertiesReferenceComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/PropertiesReferenceComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/PropertiesReferenceComparator.java	(revision 1335)
@@ -39,7 +39,7 @@
 public class PropertiesReferenceComparator extends LocalizedLineComparator {
 
 	/** The Constant NAME. */
-	private static final String NAME = ConcordanceCoreMessages.PropertiesReferenceComparator_0;
+	private static final String NAME = ConcordanceCoreMessages.references;
 
 	//protected Collator collator = Collator.getInstance(new Locale(System.getProperty("user.language"))); //$NON-NLS-1$
 
@@ -78,4 +78,4 @@
 		}
 		return 0;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicLeftContextComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicLeftContextComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicLeftContextComparator.java	(revision 1335)
@@ -44,7 +44,7 @@
 		StringListBasedComparator {
 
 	/** The Constant NAME. */
-	private static final String NAME = ConcordanceCoreMessages.LexicographicLeftContextComparator_0;
+	private static final String NAME = ConcordanceCoreMessages.leftContext_2;
 	private Concordance conc;
 	private List<WordProperty> props;
 
@@ -99,4 +99,4 @@
 		}
 		return rez;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/CompositeComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/CompositeComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/CompositeComparator.java	(revision 1335)
@@ -102,8 +102,8 @@
 	 */
 	public void setComparators(List<LineComparator> comp) {
 		this.comparators = comp;
-		this.name = ConcordanceCoreMessages.CompositeComparator_0;
+		this.name = ConcordanceCoreMessages.compositeDDot;
 		for(LineComparator c: comp)
 			this.name += c.getName()+" "; //$NON-NLS-1$
 		}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicRightContextComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicRightContextComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicRightContextComparator.java	(revision 1335)
@@ -44,7 +44,7 @@
 		StringListBasedComparator {
 
 	/** The Constant NAME. */
-	private static final String NAME = ConcordanceCoreMessages.LexicographicRightContextComparator_0;
+	private static final String NAME = ConcordanceCoreMessages.rightContext_2;
 	private Concordance conc;
 	private List<WordProperty> props;
 
@@ -104,4 +104,4 @@
 		}
 		return rez;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicKeywordComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicKeywordComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/LexicographicKeywordComparator.java	(revision 1335)
@@ -44,7 +44,7 @@
 public class LexicographicKeywordComparator extends LocalizedLineComparator {
 
 	/** The Constant NAME. */
-	private static final String NAME = ConcordanceCoreMessages.LexicographicKeywordComparator_0;
+	private static final String NAME = ConcordanceCoreMessages.keyword;
 	private Concordance conc;
 	private List<WordProperty> props;
 
@@ -85,4 +85,4 @@
 
 		return rez;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 1335)
@@ -1,62 +1,61 @@
-package org.txm.statsengine.r.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * R statistics engine and tools core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class RCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.statsengine.r.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String error_cantFindRServeInPath;
-	public static String error_connectionFailed;
-	public static String error_errorDuringItemsListExtraction;
-	public static String error_errorWhileEvaluating;
-	public static String error_evaluationError;
-	public static String error_failedToConnectToTheRWorkspace;
-	public static String error_failedToInitializeFileTransfert;
-	public static String error_failedToLoadLibrary;
-	public static String error_failedToRunREG;
-	public static String error_failedToStartRServe;
-	public static String error_failedToStartRServeWithCommand;
-	public static String error_matrixIsEmpty;
-	public static String error_requestedObjectNotFoundInR;
-	public static String error_rserveIsAlreadyRunningOnPort;
-	public static String error_rservePathNotSet;
-	public static String error_youNeedRSoftware;
-	public static String info_connectingToRAt;
-	public static String info_connectingToRAtWithUser;
-	public static String info_lastSafeEvalExpression;
-	public static String info_rPathNotSetTryingToFindIt;
-	public static String info_savingChartToFile;
-	public static String info_startingRWithCommandLine;
-	public static String info_startingStatsEngine;
-	public static String info_statisticsEngineLaunched;
-	public static String info_tryingToStartRFrom;
-	public static String info_tryingToStartRWithRPath;
-	
-	public static String ExecuteRScript_1;
-	public static String ExecuteRScript_2;
-	public static String ExecuteRScript_3;
-	public static String ExecuteRText_0;
-	public static String ExecuteRText_1;
-	public static String ExecuteRText_2;
-	public static String ExecuteScriptR_0;
-	public static String ExecuteScriptR_1;	
-
-	public static String error_unexpectedErrorInRStatisticsEngine;
-
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, RCoreMessages.class);
-	}
-
-	private RCoreMessages() {
-	}
-}
+package org.txm.statsengine.r.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * R statistics engine and tools core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class RCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.statsengine.r.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String error_cantFindRServeInPath;
+	public static String error_connectionFailed;
+	public static String error_errorDuringItemsListExtraction;
+	public static String error_errorWhileEvaluating;
+	public static String error_evaluationError;
+	public static String error_failedToConnectToTheRWorkspace;
+	public static String error_failedToInitializeFileTransfert;
+	public static String error_failedToLoadLibrary;
+	public static String error_failedToRunREG;
+	public static String error_failedToStartRServe;
+	public static String error_failedToStartRServeWithCommand;
+	public static String error_matrixIsEmpty;
+	public static String error_requestedObjectNotFoundInR;
+	public static String error_rserveIsAlreadyRunningOnPort;
+	public static String error_rservePathNotSet;
+	public static String error_youNeedRSoftware;
+	public static String info_connectingToRAt;
+	public static String info_connectingToRAtWithUser;
+	public static String info_lastSafeEvalExpression;
+	public static String info_rPathNotSetTryingToFindIt;
+	public static String info_savingChartToFile;
+	public static String info_startingRWithCommandLine;
+	public static String info_startingStatsEngine;
+	public static String info_statisticsEngineLaunched;
+	public static String info_tryingToStartRFrom;
+	public static String info_tryingToStartRWithRPath;
+	
+	public static String runningP0; 
+	public static String doneDDot; 
+	public static String ms; 
+	public static String runningTextSelection; 
+	public static String errorWhileRunningRScriptP0DDotP1; 
+	public static String p0RScriptDoesntExist; 
+	public static String errorWhileRunningRScriptP0DDotP1_2; 
+
+	public static String error_unexpectedErrorInRStatisticsEngine;
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, RCoreMessages.class);
+	}
+
+	private RCoreMessages() {
+	}
+}
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/Factor.java	(revision 1335)
@@ -46,7 +46,7 @@
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	public Factor(String values) throws RWorkspaceException {
-		throw new UnsupportedOperationException(StatsEngineCoreMessages.Factor_0);
+		throw new UnsupportedOperationException(StatsEngineCoreMessages.notImplemented);
 	}
 
 	/**
@@ -56,6 +56,6 @@
 	 * @return the levels
 	 */
 	public String[] getLevels() {
-		throw new UnsupportedOperationException(StatsEngineCoreMessages.Factor_0);
+		throw new UnsupportedOperationException(StatsEngineCoreMessages.notImplemented);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 1335)
@@ -137,7 +137,7 @@
 		this(matrix);
 
 		if (rowNames == null) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_4);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.rowNamesOfAContingencyTableCannotBeNull);
 		}
 		//		if (rowNames.length != nrow) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_5);
@@ -146,7 +146,7 @@
 		rw.assignRowNamesToMatrix(symbol, new VectorImpl(rowNames).getSymbol());
 
 		if (columnNames == null) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_6);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.columnNamesOfAContingencyTableCannotBeNull);
 		}
 		//		if (columnNames.length != ncol) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_7
@@ -202,7 +202,7 @@
 		this(matrix);
 
 		if (lineNames == null) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_4);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.rowNamesOfAContingencyTableCannotBeNull);
 		}
 		//		if (lineNames.length != nrow) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_5);
@@ -211,7 +211,7 @@
 		rw.assignRowNamesToMatrix(symbol, new VectorImpl(lineNames).getSymbol());
 
 		if (partNames == null) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_6);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.columnNamesOfAContingencyTableCannotBeNull);
 		}
 		//		if (partNames.length != ncol) {
 		//			throw new IllegalArgumentException(Messages.MatrixImpl_7
@@ -415,15 +415,15 @@
 				throw new RWorkspaceException(e);
 			}
 		} else if (r.isNull()) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_19);
+			throw new IllegalArgumentException(StatsEngineCoreMessages.rObjectEvaluatedToNull);
 		} else {
 			// System.out.println("row: " + row);
 			// System.out.println("col: " + col);
 			// System.out.println("nrow: " + nrow);
 			// System.out.println("ncol: " + ncol);
 			// System.out.println(rw.eval("print(" + getSymbol() + ");"));
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_20
-					+ r.getAttribute(StatsEngineCoreMessages.MatrixImpl_21));
+			throw new IllegalArgumentException(StatsEngineCoreMessages.unknownTypeDDot
+					+ r.getAttribute(StatsEngineCoreMessages.mode));
 		}
 	}
 
@@ -435,8 +435,8 @@
 		int ncol = this.getNColumns();
 
 		if (index < 0 || index >= ncol) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_28 + index
-					+ StatsEngineCoreMessages.MatrixImpl_29 + ncol + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.columnIndex + index
+					+ StatsEngineCoreMessages.tooBigMax + ncol + ")"); //$NON-NLS-1$ 
 		}
 		String colName = createSymbole(Vector.class);
 		rw.voidEval(colName + "<- " + symbol + "[ ," + (index + 1) + "];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -487,7 +487,7 @@
 	@Override
 	public int getNColumns() {
 		try {
-			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.MatrixImpl_2+symbol+")[2]").asInteger(); //$NON-NLS-2$
+			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.dim+symbol+")[2]").asInteger(); //$NON-NLS-2$
 		} catch (Exception e) {
 			Log.severe("Matrix: failed to get nrow: "+e); //$NON-NLS-1$
 		}
@@ -500,9 +500,9 @@
 	@Override
 	public int getNRows() {
 		try {
-			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.MatrixImpl_2+symbol+")[1]").asInteger(); //$NON-NLS-2$
+			return RWorkspace.getRWorkspaceInstance().eval(StatsEngineCoreMessages.dim+symbol+")[1]").asInteger(); //$NON-NLS-2$
 		} catch (Exception e) {
-			Log.severe(StatsEngineCoreMessages.MatrixImpl_67 + e);
+			Log.severe(StatsEngineCoreMessages.matrixDDotFailedToGetNrowDDot + e);
 		}
 		return 0;
 	}
@@ -514,8 +514,8 @@
 	public Vector getRow(int index) throws RException, RWorkspaceException {
 		int nrow = getNRows();
 		if (index < 0 || index >= nrow) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_22 + index
-					+ StatsEngineCoreMessages.MatrixImpl_23 + nrow + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.rowIndex + index
+					+ StatsEngineCoreMessages.tooBigMax + nrow + ")"); //$NON-NLS-1$ 
 		}
 		String rowName = createSymbole(Vector.class);
 		rw.voidEval(rowName + "<- " + symbol + "[" + (index + 1) + ", ];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -612,7 +612,7 @@
 		int linesize = rw.eval("dim(tmpmat)[1]").asInteger(); //$NON-NLS-1$
 		int ncol = this.getNColumns();
 		if (colsize != ncol) {
-			System.out.println(StatsEngineCoreMessages.MatrixImpl_73+ncol+" imported="+colsize); //$NON-NLS-2$
+			System.out.println(StatsEngineCoreMessages.matrixImplDDotErrorDDotColumnSizeDiffersDDotOriginal+ncol+" imported="+colsize); //$NON-NLS-2$
 			return false;
 		}
 
@@ -836,7 +836,7 @@
 				try {
 					rowNames = getRowNames().asStringsArray();
 				} catch (StatException e) {
-					System.out.println(StatsEngineCoreMessages.MatrixImpl_79);
+					System.out.println(StatsEngineCoreMessages.failedToGetRowNames);
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return;
 				}
@@ -890,14 +890,14 @@
 			try {
 				rowNames = getRowNames().asStringsArray();
 			} catch (StatException e) {
-				System.out.println(StatsEngineCoreMessages.MatrixImpl_79);
+				System.out.println(StatsEngineCoreMessages.failedToGetRowNames);
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return;
 			}
 			String lastRowName = rowNames[last];
 			System.out.println("table<-matrix(table[c(-"+idx+"),],nrow=1,dimnames = list(rownames="+lastRowName+",colnames(table)))"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		} else {
-			System.out.println(StatsEngineCoreMessages.MatrixImpl_88);
+			System.out.println(StatsEngineCoreMessages.cannotDeleteAllLines);
 		}
 	}
 
@@ -919,12 +919,12 @@
 		int nrow = this.getNRows();
 		int ncol = this.getNColumns();
 		if (row < 0 || row >= nrow) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_10 + row
-					+ StatsEngineCoreMessages.MatrixImpl_11 + nrow + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.rowIndex + row
+					+ StatsEngineCoreMessages.tooBigMax + nrow + ")"); //$NON-NLS-1$ 
 		}
 		if (col < 0 || col >= ncol) {
-			throw new IllegalArgumentException(StatsEngineCoreMessages.MatrixImpl_13 + col
-					+ StatsEngineCoreMessages.MatrixImpl_14 + ncol + ")"); //$NON-NLS-1$ 
+			throw new IllegalArgumentException(StatsEngineCoreMessages.colIndex + col
+					+ StatsEngineCoreMessages.tooBigMax + ncol + ")"); //$NON-NLS-1$ 
 		}
 		// appel à R
 		try {
@@ -1027,4 +1027,4 @@
 		}
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/QuantitativeDataStructureImpl.java	(revision 1335)
@@ -123,7 +123,7 @@
 	protected void removeFromRWorkspace() throws RWorkspaceException {
 		if (!rw.containsVariable(symbol)) {
 			throw new RObjectDoesNotExist(
-					StatsEngineCoreMessages.QuantitativeDataStructureImpl_2);
+					StatsEngineCoreMessages.cannotDeleteANonexistingObject);
 		}
 		rw.voidEval("rm(" + symbol + ")"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
@@ -202,4 +202,4 @@
 	public String getSymbol() {
 		return symbol;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 1335)
@@ -58,7 +58,7 @@
 		rw.setLog(true);
 
 		try {
-			System.out.println(RCoreMessages.ExecuteRText_0);
+			System.out.println(RCoreMessages.runningTextSelection);
 			long time = System.currentTimeMillis();
 			//execute a file line per line
 
@@ -68,9 +68,9 @@
 //				RConsole.printServer(str);
 			RWorkspace.appendtoEvalLog(text);
 
-			System.out.println(RCoreMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCoreMessages.ExecuteRText_2); 
+			System.out.println(RCoreMessages.doneDDot+(System.currentTimeMillis()-time)+RCoreMessages.ms); 
 		} catch(Exception e) {
-			System.out.println(NLS.bind(RCoreMessages.ExecuteRText_1, text, Log.toString(e))); 
+			System.out.println(NLS.bind(RCoreMessages.errorWhileRunningRScriptP0DDotP1, text, Log.toString(e))); 
 //			StatusLine.error(NLS.bind(TXMUIMessages.ExecuteRText_1, text, Log.toString(e))); 
 			Log.printStackTrace(e);
 		}
@@ -87,7 +87,7 @@
 	 */
 	public IStatus executeScript(File rFile, HashMap<String, Object> env) {
 		if (!rFile.exists()) {
-			System.err.println(NLS.bind(RCoreMessages.ExecuteScriptR_0, rFile));
+			System.err.println(NLS.bind(RCoreMessages.p0RScriptDoesntExist, rFile));
 			return Status.CANCEL_STATUS;
 		}
 
@@ -101,7 +101,7 @@
 		boolean initState = rw.isLogging();
 		rw.setLog(true);
 		try {
-			System.out.println(NLS.bind(RCoreMessages.ExecuteRScript_1, rFile.getName()));
+			System.out.println(NLS.bind(RCoreMessages.runningP0, rFile.getName()));
 			long time = System.currentTimeMillis();
 			//execute a file line per line
 
@@ -130,10 +130,10 @@
 //				if (rw.isLogging() && str.length() > 0)
 //					RConsole.printServer(cmd);
 //			}
-			System.out.println(RCoreMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCoreMessages.ExecuteRScript_3);
+			System.out.println(RCoreMessages.doneDDot+(System.currentTimeMillis()-time)+RCoreMessages.ms);
 		} catch(Exception e) {
-			System.out.println(NLS.bind(RCoreMessages.ExecuteScriptR_1, rFile, e)); 
-			//StatusLine.error(NLS.bind(RCoreMessages.ExecuteScriptR_1, rFile, e)); 
+			System.out.println(NLS.bind(RCoreMessages.errorWhileRunningRScriptP0DDotP1_2, rFile, e)); 
+			//StatusLine.error(NLS.bind(RCoreMessages.errorWhileRunningRScriptP0DDotP1_2, rFile, e)); 
 			Log.printStackTrace(e);
 			return Status.CANCEL_STATUS;
 		} finally {
@@ -143,4 +143,4 @@
 		return Status.OK_STATUS;
 		
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 1335)
@@ -1134,7 +1134,7 @@
 	public int[][] evalToInt2D(String exp) throws RWorkspaceException {
 		int[][] res = null;
 		try {
-			int[] dims = eval(StatsEngineCoreMessages.MatrixImpl_2+exp+")").asIntegers(); //$NON-NLS-2$
+			int[] dims = eval(StatsEngineCoreMessages.dim+exp+")").asIntegers(); //$NON-NLS-2$
 			int ncol = dims[1];
 			int nrow = dims[0];
 			int[] tmp = eval("c("+exp+")").asIntegers(); //$NON-NLS-1$ //$NON-NLS-2$
@@ -1575,4 +1575,4 @@
 	public void loadPackage(String p) throws RWorkspaceException {
 		this.eval("library(\""+p+"\")"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 1334)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 1335)
@@ -160,9 +160,9 @@
 	 * @return the current sentence no
 	 */
 	public int getCurrentSentenceNo() {
-		System.out.println(TXMCoreMessages.TSResult_0+this.getNumberOfMatch());
+		System.out.println(TXMCoreMessages.numberOfMatch+this.getNumberOfMatch());
 		System.out.println("current match "+this.getCurrentMatchNo()); //$NON-NLS-1$
-		System.out.println(TXMCoreMessages.TSResult_2+this.getCurrentMatch().getNumberOfSubGraph());
+		System.out.println(TXMCoreMessages.numberOfSubMatch+this.getCurrentMatch().getNumberOfSubGraph());
 		System.out.println("current sub graph "+this.getCurrentMatch().getCurrentSubMatchNo()); //$NON-NLS-1$
 		return result.getSentenceNumberAt(this.currentMatchNo); // + 1 ?
 	}
@@ -408,4 +408,4 @@
 			return false;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCmd.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCmd.java	(revision 1334)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCmd.java	(revision 1335)
@@ -89,8 +89,8 @@
 			TSCorpus corpus = manager.getCorpus(id);
 			TSResult result = corpus.query(query);
 			
-			System.out.println(TXMCoreMessages.TSCmd_30+ query);
-			System.out.println(String.valueOf(result.getNumberOfMatch())+ TXMCoreMessages.TSCmd_31);
+			System.out.println(TXMCoreMessages.queryWasDDot+ query);
+			System.out.println(String.valueOf(result.getNumberOfMatch())+ TXMCoreMessages.matchesFound);
 			
 			// write SVG of all matches
 			for (int i = 0 ; i < result.getNumberOfMatch() ; i++) {
@@ -103,4 +103,4 @@
 		return;
 
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java	(revision 1334)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpusManager.java	(revision 1335)
@@ -65,11 +65,11 @@
 		initok = true;
 		
 		if (!(registrydir.exists() && registrydir.canRead())) {
-			System.out.println(TXMCoreMessages.TSCorpusManager_0+registrydir);
+			System.out.println(TXMCoreMessages.errorRegDirDDot+registrydir);
 			initok = false;
 		}
 		if (!(configdir.exists() && configdir.canRead())) {
-			System.out.println(TXMCoreMessages.TSCorpusManager_1+configdir);
+			System.out.println(TXMCoreMessages.errorConfigdirDirDDot+configdir);
 			initok = false;
 		}
 	}
@@ -120,4 +120,4 @@
 			
 		return corpora.get(id);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TigerXmlIndexing.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TigerXmlIndexing.java	(revision 1334)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TigerXmlIndexing.java	(revision 1335)
@@ -23,8 +23,8 @@
 
 		String userdir = System.getProperty("user.home"); //$NON-NLS-1$
 		File master = new File(userdir, "TXM/corpora/roland/tiger/master_pos.xml"); //$NON-NLS-1$
-		if (!master.exists()) System.out.println(TXMCoreMessages.TigerXmlIndexing_2);
-		if (!master.canRead()) System.out.println(TXMCoreMessages.TigerXmlIndexing_3);
+		if (!master.exists()) System.out.println(TXMCoreMessages.eRRORDDotExists);
+		if (!master.canRead()) System.out.println(TXMCoreMessages.eRRORDDotRead);
 		
 		String uri = master.getAbsolutePath();
 		File outdir = new File(userdir, "TXM/corpora/roland/tiger/data"); //$NON-NLS-1$
@@ -39,7 +39,7 @@
 			XMLIndexing indexing = new XMLIndexing("TEST",uri, dest, handler,false); //$NON-NLS-1$
 			indexing.startIndexing();
 		}
-		catch (IOException e) { System.out.println(TXMCoreMessages.TigerXmlIndexing_6+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e); }
-		catch (SAXException e) { System.out.println(TXMCoreMessages.TigerXmlIndexing_7+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e);}
+		catch (IOException e) { System.out.println(TXMCoreMessages.iODDot+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e); }
+		catch (SAXException e) { System.out.println(TXMCoreMessages.sAXDDot+e.getMessage()); org.txm.utils.logger.Log.printStackTrace(e);}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 1334)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 1335)
@@ -128,7 +128,7 @@
 			//manager.getC
 			return true;
 		}
-		catch (Exception e) { System.out.println(TXMCoreMessages.TSCorpus_0+e.getMessage());}
+		catch (Exception e) { System.out.println(TXMCoreMessages.couldntReadCorpusDDot+e.getMessage());}
 		return false;
 	}
 	
@@ -157,4 +157,4 @@
 	public boolean isOk() {	
 		return initok;
 	}
-}
+}
\ No newline at end of file
